com.sun.jdi.event

## Interface BreakpointEvent

All Superinterfaces:
  Event, Locatable, LocatableEvent, Mirror

    @Exported
    public interface BreakpointEvent
    extends LocatableEvent

Notification of a breakpoint in the target VM. The breakpoint event is generated before the code at its location is executed. When a location is reached which satisfies a currently enabled `breakpoint request`, an `event set` containing an instance of this class will be added to the VM's event queue.

Since:
  1.3
See Also:
  `EventQueue`, `VirtualMachine`, `BreakpointRequest`

### Method Summary

### Methods inherited from interface com.sun.jdi.event.LocatableEvent

`thread`

### Methods inherited from interface com.sun.jdi.event.Event

`request`

### Methods inherited from interface com.sun.jdi.Mirror

`toString, virtualMachine`

### Methods inherited from interface com.sun.jdi.Locatable

`location`